=== debian/changelog ===
ccrypt (1.6-1) unstable; urgency=low

  * New upstream version.
  * Removed the cccat renaming and conflict with cfs (closes: #180915).
  * debian/rules clean remove configure generated files.
  * Fix gcc 3.3 cleanups (multi-line and reserved word warnings) (closes: 194875).

 -- Jean-Francois Dive <jef@debian.org>  Sun,  7 Sep 2003 21:46:53 +0200

ccrypt (1.2-3) unstable; urgency=high

  * Fixed name colision (yes, one more)  (Closes: #163050, 163482).

 -- Jean-Francois Dive <jef@debian.org>  Wed,  9 Oct 2002 08:46:33 +1000

ccrypt (1.2-2) unstable; urgency=high

  * Fixed name colistion with cfs package for ccat (Closes: #160749).
  * Fixed long description. (Closes: #162886).

 -- Jean-Francois Dive <jef@debian.org>  Tue,  1 Oct 2002 08:04:59 +1000

ccrypt (1.2-1) unstable; urgency=high

  * Initial Debianization (Closes: #159537).

 -- Jean-Francois Dive <jef@debian.org>  Wed,  4 Sep 2002 10:20:25 +1000
