=== debian/control ===
Source: ccrypt
Maintainer: Jean-Francois Dive <jef@debian.org>
Priority: optional
Section: utils
Standards-Version: 3.5.6
Build-Depends: debhelper (>= 3.0.5)

Package: ccrypt
Priority: optional
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: cfs
Description: Secure encryption and decryption of files and streams
 It is designed to replace the standard unix crypt utility, using the
 Rijndael cipher.
