=== debian/rules ===
#!/usr/bin/make -f

export DH_COMPAT := 3

b := $(CURDIR)/debian/ccrypt

arrange: arrange-stamp
arrange-stamp: install
	dh_testdir
	touch arrange-stamp

binary: binary-stamp
binary-stamp: binary-indep binary-arch
	dh_testdir
	touch binary-stamp

binary-arch: binary-arch-stamp
binary-arch-stamp: arrange
	dh_testdir
	dh_testroot
	dh_installdocs AUTHORS NEWS README README.win
	mv $(b)/usr/doc/ccrypt/* $(b)/usr/share/doc/ccrypt/
	rm -Rf $(b)/usr/doc
	rm -Rf $(b)/usr/man
	dh_installman doc/ccrypt.1
	cp $(b)/usr/share/man/man1/ccrypt.1 $(b)/usr/share/man/man1/ccdecrypt.1
	cp $(b)/usr/share/man/man1/ccrypt.1 $(b)/usr/share/man/man1/ccencrypt.1
	cp $(b)/usr/share/man/man1/ccrypt.1 $(b)/usr/share/man/man1/ccat.1
	#mv $(b)/usr/bin/ccat $(b)/usr/bin/cccat
	dh_installchangelogs ChangeLog
	dh_compress
	dh_fixperms
	dh_strip
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	touch binary-arch-stamp

binary-indep: binary-indep-stamp
binary-indep-stamp: arrange
	dh_testdir
	touch binary-indep-stamp

build: build-stamp
build-stamp: config
	dh_testdir
	./configure --prefix=$(b)/usr
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	rm -f config.h config.cache stamp-h config.log
	dh_clean arrange-stamp binary-stamp binary-arch-stamp binary-indep-stamp build-stamp config-stamp install-stamp 

config: config-stamp
config-stamp:
	dh_testdir
	touch config-stamp

install: install-stamp
install-stamp: build
	dh_testdir
	dh_installdirs
	$(MAKE) install
	touch install-stamp

.PHONY: arrange binary binary-arch binary-indep build clean config install
